Skip to content

List Runs ​

http
GET /api/v1/sessions/{sid}/runs

List Runs

operationId: list_runs

Authentication ​

HTTPBearer / BrowserSession

See browser access. Session mutations require a Bearer key.

Parameters ​

NameInRequiredTypeDescription and constraints
input_fingerprintqueryNostringExact match; 1–256 UTF-8 bytes, no NUL or whitespace-only value. minLength: 1
maxLength: 256
statusqueryNoRunStatus
orderqueryNostringenum: ["asc","desc"]
default: "asc"
sidpathYesstringformat: "uuid"
limitqueryNointegerdefault: 50
minimum: 1
maximum: 200
cursorqueryNostring / null

Responses ​

CodeDescriptionContent
200Successful Responseapplication/json: RunPage
400Bad Requestapplication/json: ErrorResponse
401Unauthorizedapplication/json: ErrorResponse
404Not Foundapplication/json: ErrorResponse
409Conflictapplication/json: ErrorResponse
413Content Too Largeapplication/json: ErrorResponse
415Unsupported Media Typeapplication/json: ErrorResponse
422Unprocessable Contentapplication/json: ErrorResponse
503Service Unavailableapplication/json: ErrorResponse

HTTP API